Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class ContextItem

    java.lang.Object
      org.exist.dom.ContextItem

public class ContextItem
extends java.lang.Object

Constructor Summary
`ContextItem(int contextId, NodeProxy node)`
`ContextItem(NodeProxy node)`

Method Summary
`int` | `getContextId()`
`ContextItem` | `getNextDirect()`
`NodeProxy` | `getNode()`
`boolean` | `hasNextDirect()`
`void` | `setNextContextItem(ContextItem next)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextItem

    public ContextItem(NodeProxy node)

### ContextItem

    public ContextItem(int contextId,
                       NodeProxy node)

Method Detail

### getNode

    public NodeProxy getNode()

### getContextId

    public int getContextId()

### hasNextDirect

    public boolean hasNextDirect()

### getNextDirect

    public ContextItem getNextDirect()

### setNextContextItem

    public void setNextContextItem(ContextItem next)

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.